"""
@file   obsw_dummy_com_if.py
@date   09.03.2020
@brief  Dummy Communication Interface

@author R. Mueller
"""
from typing import Tuple

from comIF.obsw_com_interface import CommunicationInterface


class DummyComIF(CommunicationInterface):
    def close(self) -> None:
        pass

    def data_available(self, parameters):
        pass

    def poll_interface(self, parameters: any = 0) -> Tuple[bool, list]:
        pass

    def receive_telemetry(self, parameters: any = 0):
        pass

    def send_telecommand(self, tcPacket, tcPacketInfo="") -> None:
        pass
