from multiprocessing.connection import Listener
from multiprocessing import Process
import logging


class TmTcBackend(Process):
    def __init__(self):
        super(TmTcBackend, self).__init__()
        self.address = ('localhost', 6000)     # family is deduced to be 'AF_INET'
        self.listener = Listener(self.address, authkey=None)
        self.conn = 0

    def run(self):
        self.listen()

    def listen(self):
        self.conn = self.listener.accept()
        print('connection accepted from' + str(self.listener.last_accepted))
        while True:
            msg = self.conn.recv()
            # do something with msg
            # here, the core client could be called to perform operations based on received message
            if msg == 'test':
                print("Hallo Welt !")
            elif msg == 'close':
                try:
                    self.conn.close()
                    break
                except OSError:
                    logging.exception("Error: ")
        self.listener.close()
